JUCE: BlockTopology Struct Reference

JUCE

Public Member Functions | Public Attributes | List of all members
BlockTopology Struct Reference

Describes a set of blocks and the connections between them. More...

## Public Member Functions
bool | operator== (const BlockTopology &) const noexcept
bool | operator!= (const BlockTopology &) const noexcept
Block::Ptr | getBlockWithUID (Block::UID deviceID)
const Block::Ptr | getBlockWithUID (Block::UID deviceID) const
Block::Array | getDirectlyConnectedBlocks (Block::UID blockUID) const
Array< BlockDeviceConnection > | getConnectionsBetweenBlocks (Block::UID uid1, Block::UID uid2) const
int | getNumberOfConnectionsToBlock (Block::UID uid) const

## Public Attributes
Block::Array | blocks
Array< BlockDeviceConnection > | connections

## Detailed Description

Describes a set of blocks and the connections between them.

## Member Function Documentation

## ◆ operator==()

bool BlockTopology::operator== | ( | const BlockTopology & |  | ) | const
| noexcept

## ◆ operator!=()

bool BlockTopology::operator!= | ( | const BlockTopology & |  | ) | const
| noexcept

## ◆ getBlockWithUID() [1/2]

Block::Ptr BlockTopology::getBlockWithUID | ( | Block::UID | deviceID | ) |

References blocks.

Referenced by getDirectlyConnectedBlocks().

## ◆ getBlockWithUID() [2/2]

const Block::Ptr BlockTopology::getBlockWithUID | ( | Block::UID | deviceID | ) | const

References blocks.

## ◆ getDirectlyConnectedBlocks()

Block::Array BlockTopology::getDirectlyConnectedBlocks | ( | Block::UID | blockUID | ) | const

References ReferenceCountedArray< ObjectClass, TypeOfCriticalSectionToUse >::addIfNotAlreadyThere(), connections, and getBlockWithUID().

## ◆ getConnectionsBetweenBlocks()

Array<BlockDeviceConnection> BlockTopology::getConnectionsBetweenBlocks | ( | Block::UID | uid1,
|  | Block::UID | uid2
| ) |  | const

References Array< ElementType, TypeOfCriticalSectionToUse, minimumAllocatedSize >::add(), and connections.

## ◆ getNumberOfConnectionsToBlock()

int BlockTopology::getNumberOfConnectionsToBlock | ( | Block::UID | uid | ) | const

References connections.

## Member Data Documentation

## ◆ blocks

Block::Array BlockTopology::blocks

Referenced by getBlockWithUID().

## ◆ connections

Array<BlockDeviceConnection> BlockTopology::connections

Referenced by getConnectionsBetweenBlocks(), getDirectlyConnectedBlocks(), and getNumberOfConnectionsToBlock().

The documentation for this struct was generated from the following file:

- juce_Topology.h